<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/dashboard_model_background"
    android:orientation="vertical">

    <ImageView
        android:id="@+id/image_icon"
        android:layout_width="45dp"
        android:layout_height="45dp"
        android:layout_marginStart="25dp"
        android:src="@mipmap/ic_launcher"
        app:layout_constraintBottom_toTopOf="@id/view_line"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/view_line"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginTop="60dp"
        android:background="@color/module_title_color"
        app:layout_constraintTop_toTopOf="parent" />

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/dialog_title"
        style="@style/TextBig"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="25dp"
        android:text="@string/app_name"
        app:layout_constraintBottom_toTopOf="@id/view_line"
        app:layout_constraintLeft_toRightOf="@id/image_icon"
        app:layout_constraintTop_toTopOf="parent" />


    <!-- 子类内容容器 -->
    <FrameLayout
        android:id="@+id/contentContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="16dp"
        app:layout_constraintTop_toBottomOf="@id/view_line" />


    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/text_cancel"
        style="@style/TextBtnTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:padding="10dp"
        android:text="@string/cancel"
        android:layout_marginEnd="20dp"
        app:layout_constraintRight_toLeftOf="@id/text_settings"
        app:layout_constraintTop_toTopOf="@id/text_settings" />


    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/text_settings"
        style="@style/TextBtnTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:padding="10dp"
        android:text="@string/settings"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/contentContainer" />

</androidx.constraintlayout.widget.ConstraintLayout>
